Package org.silverpeas.mobile.client.common.storage

## Class LocalStorageHelper

- java.lang.Object
- - org.silverpeas.mobile.client.common.storage.LocalStorageHelper

-     public class LocalStorageHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AutoBeanFactory` | `factory` |
    `static LocalStorageHelper` | `instance` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocalStorageHelper()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `static LocalStorageHelper` | `getInstance()` |
    `String` | `load​(String key)` |
    `<T> com.google.web.bindery.autobean.shared.AutoBean<T>` | `load​(String key, Class<T> beanClass)` |
    `void` | `remove​(String key)` |
    `<T> void` | `store​(String key, com.google.web.bindery.autobean.shared.AutoBean<T> autobean)` |
    `void` | `store​(String key, String data)` |
    `void` | `storeBuildDate()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          public static AutoBeanFactory factory

    - #### instance

          public static LocalStorageHelper instance

  - ### Constructor Detail

    - #### LocalStorageHelper

          public LocalStorageHelper()

  - ### Method Detail

    - #### getInstance

          public static LocalStorageHelper getInstance()

    - #### store

          public <T> void store​(String key,
                                com.google.web.bindery.autobean.shared.AutoBean<T> autobean)

    - #### store

          public void store​(String key,
                            String data)

    - #### load

          public String load​(String key)

    - #### load

          public <T> com.google.web.bindery.autobean.shared.AutoBean<T> load​(String key,
                                                                             Class<T> beanClass)

    - #### clear

          public void clear()

    - #### remove

          public void remove​(String key)

    - #### storeBuildDate

          public void storeBuildDate()